{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [],
   "source": [
    "import numpy as np\n",
    "from numpy.fft import fft, ifft, fftn, ifftn\n",
    "import scipy.signal\n",
    "import glob\n",
    "#import MDAnalysis as mda\n",
    "#from MDAnalysis.analysis import lineardensity as lin\n",
    "#import nglview as nv\n",
    "#import ipywidgets\n",
    "import matplotlib\n",
    "import matplotlib.pyplot as plt\n",
    "import matplotlib.colors as colors\n",
    "import matplotlib.ticker as ticker\n",
    "from matplotlib import cm\n",
    "#from functools import partial\n",
    "#import pathos.multiprocessing as mp"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### Dispersion Maps"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### Triangular SSH ladder"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 146,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,1000,500,500\n",
    "#ladder kSz(kappa3)=3000kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/003\n",
    "fftxfefree=np.load(\"./gromacs/triladder/003/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/003/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/003/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/003/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/003/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 148,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, trivial case, kappa1,kappa2,kappa4,kappa5=1000,3000,500,500\n",
    "#ladder kSz(kappa3)=3000kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/005, trivial of 003\n",
    "fftxfefree=np.load(\"./gromacs/triladder/005/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/005/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/005/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/005/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/005/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": 149,
   "metadata": {
    "scrolled": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "[encoded data, 105260 characters]\n",
      "text/plain": [
       "<Figure size 792x360 with 3 Axes>"
      ]
     },
     "metadata": {
      "needs_background": "light"
     },
     "output_type": "display_data"
    },
    {
     "data": {
      "image/png": "[encoded data, 103320 characters]\n",
      "text/plain": [
       "<Figure size 792x360 with 3 Axes>"
      ]
     },
     "metadata": {
      "needs_background": "light"
     },
     "output_type": "display_data"
    },
    {
     "data": {
      "image/png": "[encoded data, 104584 characters]\n",
      "text/plain": [
       "<Figure size 792x360 with 3 Axes>"
      ]
     },
     "metadata": {
      "needs_background": "light"
     },
     "output_type": "display_data"
    },
    {
     "data": {
      "image/png": "[encoded data, 105408 characters]\n",
      "text/plain": [
       "<Figure size 792x360 with 3 Axes>"
      ]
     },
     "metadata": {
      "needs_background": "light"
     },
     "output_type": "display_data"
    },
    {
     "data": {
      "image/png": "[encoded data, 109192 characters]\n",
      "text/plain": [
       "<Figure size 792x360 with 3 Axes>"
      ]
     },
     "metadata": {
      "needs_background": "light"
     },
     "output_type": "display_data"
    }
   ],
   "source": [
    "alldata=[fftxfepbc,fftxfefree,fftxfefreeK,fftxfefreeM,fftxfefix]#,fftxfefree2M]\n",
    "for e in range(len(alldata)):\n",
    "    dataplot=alldata[e]\n",
    "    X=dataplot[0]/(33.35641)\n",
    "    Y=dataplot[1:]\n",
    "    X1=np.real(X)\n",
    "    Y1=np.real(Y)\n",
    "    stp=100\n",
    "    deltaf=(X1[1]-X1[0])\n",
    "    initfreq=0.25\n",
    "    finfreq=0.5\n",
    "    ifq=int(initfreq/deltaf)\n",
    "    ffq=int(finfreq/deltaf)\n",
    "    #y=np.real(X1[ifq:])\n",
    "    y=np.real(X1[ifq:ffq])\n",
    "    X2,Y2=np.meshgrid(range(-len(Y1)//2,len(Y1)//2),y)\n",
    "    Z=np.transpose(np.real(Y1[:,ifq:ffq]))\n",
    "\n",
    "    plt.figure(figsize=(11,5))\n",
    "    #plt.suptitle(\"Dispersion relation\", fontsize=14)\n",
    "\n",
    "    #ax=plt.subplot(1, 2, 1)\n",
    "    ax=plt.subplot(1, 3, (1,2))\n",
    "    s = \"Heat map - PSD of Rv\"\n",
    "    #plt.title(s,fontsize=14)\n",
    "    #plt.pcolormesh(X2/100,Y2,Z, cmap='jet', vmin=8, vmax=500,shading='auto')#vmax=np.max(Y1[stp,ifq+int(0.3/deltaf):ffq-int(0.3/deltaf)])/80)\n",
    "    plt.pcolormesh(X2/100,Y2,Z, cmap='jet', norm=colors.LogNorm(vmin=10, vmax=Z.max()*0.9),shading='auto')\n",
    "\n",
    "    plt.colorbar()\n",
    "    #plt.xlim(0,40)\n",
    "    #plt.zlim(0,30)\n",
    "    plt.ylabel('Frequency (cm$^{-1}$)', fontsize=20)\n",
    "    plt.xlabel('k$_x$ ($\\pi/a$)', fontsize=20)\n",
    "    plt.xticks(fontsize=16)\n",
    "    plt.yticks(fontsize=16)\n",
    "    ax.xaxis.set_major_locator(ticker.MultipleLocator(0.5))\n",
    "\n",
    "    #bx=plt.subplot(1, 2, 2)\n",
    "    bx=plt.subplot(1, 3, 3)\n",
    "    #s2='PSD'\n",
    "    #plt.title(s2)\n",
    "    #plt.legend()\n",
    "    plt.xlabel('PSD (Intensity)', fontsize=18, labelpad=10)\n",
    "    #plt.ylabel('Freq (THz)')\n",
    "    plt.plot(Y1[stp]/1-1, X1,'b-')\n",
    "    #This X limit acts like the filter\n",
    "    plt.ylim(initfreq,finfreq)\n",
    "    plt.xlim(np.min(Y1),np.max(Y1[stp,ifq:ffq])/0.98)\n",
    "    plt.xticks(fontsize=16)\n",
    "    plt.yticks(fontsize=16)\n",
    "    plt.ticklabel_format(style='sci', axis='x', scilimits=(0,3))#,useMathText=True)\n",
    "    plt.rc('font', size=12)\n",
    "    bx.set_xscale(\"log\")\n",
    "    #bx.yaxis.set_major_locator(ticker.MultipleLocator(1))\n",
    "    #bx.xaxis.set_major_locator(ticker.MultipleLocator(50))\n",
    "    plt.grid()\n",
    "    #plt.savefig(\"dispX_cop.1k.pbc.100K.\"+str(initfreq)+\"-\"+str(finfreq)+\"cm-1.png\") # The graphs can be as PNG, SVG, BMP or PDF"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": 53,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,1000,1000,1000\n",
    "#ladder kSz(kappa3)=3000kJ/molnm\n",
    "#ladder dSz=0\n",
    "# folder triladder/001\n",
    "fftxfefree=np.load(\"./gromacs/triladder/001/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/001/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/001/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/001/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/001/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 83,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,1000,1000,1000\n",
    "#ladder kSz(kappa3)=3000kJ/molnm\n",
    "#ladder dSz=2Å\n",
    "# folder triladder/002\n",
    "fftxfefree=np.load(\"./gromacs/triladder/002/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/002/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/002/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/002/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/002/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 99,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,1000,1000,1000\n",
    "#ladder kSz(kappa3)=500kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/003/old\n",
    "fftxfefree=np.load(\"./gromacs/triladder/003/old/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/003/old/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/003/old/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/003/old/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/003/old/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 110,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,2000,500,500\n",
    "#ladder kSz(kappa3)=1000kJ/molnm\n",
    "#ladder dSz=2Å\n",
    "# folder triladder/004\n",
    "fftxfefree=np.load(\"./gromacs/triladder/004/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/004/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/004/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/004/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/004/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 105,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,1000,500,500\n",
    "#ladder kSz(kappa3)=3000kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "#tau-t = 100ps\n",
    "# folder triladder/006\n",
    "fftxfefree=np.load(\"./gromacs/triladder/006/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/006/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/006/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/006/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/006/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 81,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,1000,500,500\n",
    "#ladder kSz(kappa3)=3000kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/007\n",
    "# similar to 003 but with mismatch\n",
    "fftxfefree=np.load(\"./gromacs/triladder/007/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/007/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/007/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/007/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/007/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 76,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,1000,1000,1000\n",
    "#ladder kSz(kappa3)=3000kJ/molnm\n",
    "#ladder dSz=0\n",
    "# folder triladder/009\n",
    "# similar to 001 but with mismatch\n",
    "fftxfefree=np.load(\"./gromacs/triladder/009/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/009/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/009/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/009/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/009/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 79,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, trivial case, kappa1,kappa2,kappa4,kappa5=3000,1000,1000,1000\n",
    "#ladder kSz(kappa3)=3000kJ/molnm\n",
    "#ladder dSz=0\n",
    "# folder triladder/009/trivial\n",
    "# similar to 001 but with mismatch\n",
    "fftxfefree=np.load(\"./gromacs/triladder/009/trivial/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/009/trivial/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/009/trivial/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/009/trivial/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/009/trivial/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 45,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,1000,1000,1000\n",
    "#ladder kSz(kappa3)=3000kJ/molnm\n",
    "#ladder dSz=0\n",
    "# folder triladder/009/hf100\n",
    "# similar to 001 but with mismatch\n",
    "#tau-t = 100ps\n",
    "fftxfefree=np.load(\"./gromacs/triladder/009/hf100/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/009/hf100/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/009/hf100/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/009/hf100/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/009/hf100/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 108,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,1000,250,250\n",
    "#ladder kSz(kappa3)=1000kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/011\n",
    "fftxfefree=np.load(\"./gromacs/triladder/011/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/011/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/011/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/011/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/011/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 125,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,2000,250,250\n",
    "#ladder kSz(kappa3)=1500kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/012\n",
    "fftxfefree=np.load(\"./gromacs/triladder/012/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/012/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/012/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/012/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/012/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")\n",
    "fftxfefree2M=np.load(\"./gromacs/triladder/012/fftkx_200_nvt.trilad.52.free2M.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 127,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=2000,3000,250,250\n",
    "#ladder kSz(kappa3)=1500kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/012/trivial\n",
    "fftxfefree=np.load(\"./gromacs/triladder/012/trivial/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/012/trivial/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/012/trivial/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/012/trivial/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/012/trivial/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")\n",
    "fftxfefree2M=np.load(\"./gromacs/triladder/012/trivial/fftkx_200_nvt.trilad.52.free2M.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 96,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,1000,500,500\n",
    "#ladder kSz(kappa3)=4000kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/013\n",
    "fftxfefree=np.load(\"./gromacs/triladder/013/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/013/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/013/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/013/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/013/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 118,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,2000,500,500\n",
    "#ladder kSz(kappa3)=2000kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/014\n",
    "fftxfefree=np.load(\"./gromacs/triladder/014/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/014/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/014/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/014/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/014/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 113,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, trivial case, kappa1,kappa2,kappa4,kappa5=2000,3000,500,500\n",
    "#ladder kSz(kappa3)=2000kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/014/trivial\n",
    "fftxfefree=np.load<(\"./gromacs/triladder/014/trivial/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/014/trivial/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/014/trivial/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/014/trivial/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/014/trivial/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 129,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, topological case, kappa1,kappa2,kappa4,kappa5=3000,250,250,250\n",
    "#ladder kSz(kappa3)=2500kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/015\n",
    "fftxfefree=np.load(\"./gromacs/triladder/015/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/015/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/015/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/015/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/015/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 131,
   "metadata": {},
   "outputs": [],
   "source": [
    "#triangular laddder, trivial case, kappa1,kappa2,kappa4,kappa5=250,3000,250,250\n",
    "#ladder kSz(kappa3)=2500kJ/molnm\n",
    "#ladder dSz=0Å\n",
    "# folder triladder/015/trivial\n",
    "fftxfefree=np.load(\"./gromacs/triladder/015/trivial/fftkx_200_nvt.trilad.52.free.nj.52at.npy\")\n",
    "fftxfefreeK=np.load(\"./gromacs/triladder/015/trivial/fftkx_200_nvt.trilad.52.freeK.nj.52at.npy\")\n",
    "fftxfefreeM=np.load(\"./gromacs/triladder/015/trivial/fftkx_200_nvt.trilad.52.freeM.nj.52at.npy\")\n",
    "fftxfepbc=np.load(\"./gromacs/triladder/015/trivial/fftkx_200_nvt.trilad.52.pbc.nj.52at.npy\")\n",
    "fftxfefix=np.load(\"./gromacs/triladder/015/trivial/fftkx_200_nvt.trilad.52.fix.nj.52at.npy\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.7"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 4
}
